%define        gemname azure

Name:          gem-azure
Version:       0.7.10
Release:       alt3.2
Summary:       Microsoft Azure Client Library for Ruby
License:       Apache License, Version 2.0
Group:         Development/Ruby
Url:           https://github.com/azure/azure-sdk-for-ruby
Vcs:           https://github.com/azure/azure-sdk-for-ruby.git#asm
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%gem_replace_version thor ~> 1.0
%gem_replace_version vcr >= 3.0,vcr < 6
Requires:      gem(addressable) >= 2.3 gem(addressable) < 3
Requires:      gem(azure-core) >= 0.1 gem(azure-core) < 1
Requires:      gem(faraday) >= 0.9 gem(faraday) < 1
Requires:      gem(faraday_middleware) >= 0.10 gem(faraday_middleware) < 1
Requires:      gem(mime-types) >= 1 gem(mime-types) < 4.0
Requires:      gem(nokogiri) >= 1.6 gem(nokogiri) < 2
Requires:      gem(systemu) >= 2.6 gem(systemu) < 3
Requires:      gem(thor) >= 0.19 gem(thor) < 2
Obsoletes:     ruby-azure < %EVR
Provides:      ruby-azure = %EVR
Provides:      gem(azure) = 0.7.10


%description
Official Ruby client library to consume Microsoft Azure services.


%package       -n pfxer
Version:       0.7.10
Release:       alt3.2
Summary:       Microsoft Azure Client Library for Ruby executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета azure
Group:         Other
BuildArch:     noarch

Requires:      gem(azure) = 0.7.10

%description   -n pfxer
Microsoft Azure Client Library for Ruby executable(s).

Official Ruby client library to consume Microsoft Azure services.

%description   -n pfxer -l ru_RU.UTF-8
Исполнямка для самоцвета azure.


%package       -n gem-azure-doc
Version:       0.7.10
Release:       alt3.2
Summary:       Microsoft Azure Client Library for Ruby documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета azure
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(azure) = 0.7.10

%description   -n gem-azure-doc
Microsoft Azure Client Library for Ruby documentation files.

Official Ruby client library to consume Microsoft Azure services.

%description   -n gem-azure-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета azure.


%package       -n gem-azure-devel
Version:       0.7.10
Release:       alt3.2
Summary:       Microsoft Azure Client Library for Ruby development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета azure
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(azure) = 0.7.10
Requires:      gem(dotenv) >= 2.0 gem(dotenv) < 3
Requires:      gem(minitest) >= 5 gem(minitest) < 6
Requires:      gem(minitest-reporters) >= 1 gem(minitest-reporters) < 2
Requires:      gem(mocha) >= 1.0 gem(mocha) < 2
Requires:      gem(rake) >= 10.0 gem(rake) < 14
Requires:      gem(timecop) >= 0.7 gem(timecop) < 1
Requires:      gem(yard) >= 0.8 gem(yard) < 1
Requires:      gem(vcr) >= 3.0 gem(vcr) < 6
Requires:      gem(thor) >= 1.0 gem(thor) < 2

%description   -n gem-azure-devel
Microsoft Azure Client Library for Ruby development package.

Official Ruby client library to consume Microsoft Azure services.

%description   -n gem-azure-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета azure.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir

%files         -n pfxer
%doc README.md
%_bindir/pfxer

%files         -n gem-azure-doc
%doc README.md
%ruby_gemdocdir

%files         -n gem-azure-devel
%doc README.md


%changelog
* Fri Jul 08 2022 Pavel Skrylev <majioa@altlinux.org> 0.7.10-alt3.2
- ! spec

* Wed Sep 16 2020 Pavel Skrylev <majioa@altlinux.org> 0.7.10-alt3.1
- ! spec

* Fri Jul 19 2019 Pavel Skrylev <majioa@altlinux.org> 0.7.10-alt3
- Use Ruby Policy 2.0

* Wed Jul 11 2018 Andrey Cherepanov <cas@altlinux.org> 0.7.10-alt2.1
- Rebuild with new Ruby autorequirements.

* Fri Jun 08 2018 Andrey Cherepanov <cas@altlinux.org> 0.7.10-alt2
- Disable tests.

* Wed Sep 13 2017 Andrey Cherepanov <cas@altlinux.org> 0.7.10-alt1
- New version

* Fri Sep 01 2017 Andrey Cherepanov <cas@altlinux.org> 0.7.9-alt1
- Initial build for ALT Linux
